localeconv               package:base               R Documentation

Find Details of the Numerical Representations in the Current Locale

Description:

     Get details of the numerical representations in the current
     locale.

Usage:

     Sys.localeconv()

Value:

     A character vector with 18 named components. See your ISO C
     documentation for details of the meaning.

     It is possible to compile R without support for locales, in which
     case the value will be 'NULL'.

See Also:

     'Sys.setlocale' for ways to set locales: by default R uses the C
     clocal for '"LC_NUMERIC"' and '"LC_MONETARY"'.

Examples:

     Sys.localeconv()
     ## The results in the default C locale are
     ##    decimal_point     thousands_sep          grouping   int_curr_symbol 
     ##              "."                ""                ""                "" 
     ##  currency_symbol mon_decimal_point mon_thousands_sep      mon_grouping 
     ##               ""                ""                ""                "" 
     ##    positive_sign     negative_sign   int_frac_digits       frac_digits 
     ##               ""                ""             "127"             "127" 
     ##    p_cs_precedes    p_sep_by_space     n_cs_precedes    n_sep_by_space 
     ##            "127"             "127"             "127"             "127" 
     ##      p_sign_posn       n_sign_posn 
     ##            "127"             "127"

     ## Now try your default locale (which might be "C").
     ## Not run: 
     old <- Sys.getlocale()
     Sys.setlocale(locale = "")
     Sys.localeconv()
     Sys.setlocale(locale = old)
     ## End(Not run)

     ## Not run: read.table("foo", dec=Sys.localeconv()["decimal_point"])

